# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Class YouTubeMediaCredit

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.media.mediarss.MediaCredit
              com.google.gdata.data.youtube.YouTubeMediaCredit

All Implemented Interfaces:
  Extension

    public class YouTubeMediaCredit

extends MediaCredit

Adds attributes to `media:credit`.

Nested Class Summary
`static class` `YouTubeMediaCredit.Type` Partner type.

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.media.mediarss.MediaCredit
`DEFAULT_SCHEME`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`YouTubeMediaCredit()`

Method Summary
`protected void` `consumeAttributes(AttributeHelper attrsHelper)` Consumes attributes from the attribute helper.
`java.lang.String` `getContent()`
`YouTubeMediaCredit.Type` `getType()` Returns the type as an enum.
`java.lang.String` `getTypeString()` Returns the type as a string.
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setContent(java.lang.String content)`
`void` `setType(YouTubeMediaCredit.Type type)` Sets the type as an enum.
`void` `setTypeString(java.lang.String typeString)` Sets the type as a string.

Methods inherited from class com.google.gdata.data.media.mediarss.MediaCredit
`getRole, getScheme, setRole, setScheme`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, getHandler, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YouTubeMediaCredit

    public YouTubeMediaCredit()

Method Detail

### getType

    public YouTubeMediaCredit.Type getType()

  Returns the type as an enum.

  Returns:
    a type or `null` if no type was set or if the type is unknown

### setType

    public void setType(YouTubeMediaCredit.Type type)

  Sets the type as an enum.

### getTypeString

    public java.lang.String getTypeString()

  Returns the type as a string.

### setTypeString

    public void setTypeString(java.lang.String typeString)

  Sets the type as a string.

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `MediaCredit`
  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper attrsHelper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `MediaCredit`
  Parameters:
    `attrsHelper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### getContent

    public java.lang.String getContent()

### setContent

    public void setContent(java.lang.String content)